CREATE SEQUENCE "srcevent_event_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('srcevent_event_id_seq');
CREATE SEQUENCE "srclocation_location_id_seq" start 27 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('srclocation_location_id_seq');
CREATE SEQUENCE "srcaudience_audience_id_seq" start 6 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('srcaudience_audience_id_seq');
CREATE SEQUENCE "srccategory_category_id_seq" start 12 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;
SELECT nextval ('srccategory_category_id_seq');
CREATE TABLE "srcevent" ("event_id" "int4" DEFAULT nextval ( 'srcevent_event_id_seq' ) NOT NULL,
"title" "text" NOT NULL, "description" "text" NOT NULL, "location_id" "int4" NOT NULL,
"start_time" "int4" NOT NULL, "end_time" "int4" NOT NULL, "submitted_time" "int4" NOT NULL,
"submitter_id" "int4" NOT NULL, "approver_id" "int4", "info_url" "text",
"info_email" "text", "hide_oc" "int2", "modify_id" "int4");
CREATE TABLE "srcaudience" ("audience_id" "int4" DEFAULT nextval ( 'srcAudience_audience_id_seq' ) NOT NULL, "name" "text" NOT NULL);
CREATE TABLE "srccategory" ("category_id" "int4" DEFAULT nextval ( 'srcCategory_category_id_seq' ) NOT NULL, "name" "text" NOT NULL);
CREATE TABLE "srccategorylist" ("event_id" "int4" NOT NULL, "category_id" "int4" NOT NULL);
CREATE TABLE "srcaudiencelist" ("event_id" "int4" NOT NULL, "audience_id" "int4" NOT NULL);
CREATE TABLE "srclocation" ("location_id" "int4" DEFAULT nextval ( 'srclocation_location_id_seq' ) NOT NULL, "name" "text" NOT NULL);
CREATE TABLE "srcweekdaylist" ("event_id" "int4" NOT NULL, "day" "int2" NOT NULL);
CREATE TABLE "srcweekday" ("day" "int2" NOT NULL, "name" "text" NOT NULL);
CREATE TABLE "srcindex" ("event_id" "int4" NOT NULL, "timestamp" "int4" NOT NULL);
INSERT INTO "srcevent" values (0,'SRC Event Calendar rebuilt',
'The SRC Event Calendar database was rebuilt in preparation for the upcoming testing phase. This is the first event submitted.',
1,933531600,0,933531589,1009,1009,'http://www.simons-rock.edu/~fluffy/','fluffy@simons-rock.edu',NULL,NULL);
INSERT INTO "srcindex" values (0,933483600);
INSERT INTO "srcaudience" values (0,'All');
INSERT INTO "srcaudience" values (1,'Faculty');
INSERT INTO "srcaudience" values (2,'Staff');
INSERT INTO "srcaudience" values (3,'Student');
INSERT INTO "srcaudience" values (4,'Alumni');
INSERT INTO "srcaudience" values (5,'Guest');
INSERT INTO "srcaudience" values (6,'~Other');
INSERT INTO "srccategory" values (1,'Network');
INSERT INTO "srccategory" values (2,'Community Council');
INSERT INTO "srccategory" values (3,'Library');
INSERT INTO "srccategory" values (4,'Health Services');
INSERT INTO "srccategory" values (5,'Sports');
INSERT INTO "srccategory" values (6,'Lecture');
INSERT INTO "srccategory" values (7,'Movies');
INSERT INTO "srccategory" values (8,'Arts');
INSERT INTO "srccategory" values (9,'Music');
INSERT INTO "srccategory" values (10,'Plays');
INSERT INTO "srccategory" values (11,'Student Life');
INSERT INTO "srccategory" values (0,'~Other');
INSERT INTO "srccategorylist" values (0,1);
INSERT INTO "srcaudiencelist" values (0,0);
INSERT INTO "srclocation" values (1,'College Center');
INSERT INTO "srclocation" values (2,'Classrooms');
INSERT INTO "srclocation" values (3,'Library');
INSERT INTO "srclocation" values (4,'Dining Hall');
INSERT INTO "srclocation" values (5,'Student Union');
INSERT INTO "srclocation" values (6,'Athletic Center');
INSERT INTO "srclocation" values (7,'Dolliver');
INSERT INTO "srclocation" values (8,'Kendrick');
INSERT INTO "srclocation" values (9,'Crosby');
INSERT INTO "srclocation" values (10,'Blodgett');
INSERT INTO "srclocation" values (11,'Fisher');
INSERT INTO "srclocation" values (12,'Kellogg');
INSERT INTO "srclocation" values (13,'Foster Mods');
INSERT INTO "srclocation" values (14,'Owl''s Nest');
INSERT INTO "srclocation" values (15,'Book Store');
INSERT INTO "srclocation" values (16,'Orchards');
INSERT INTO "srclocation" values (17,'Annex');
INSERT INTO "srclocation" values (18,'Carriage House');
INSERT INTO "srclocation" values (19,'Off Campus');
INSERT INTO "srclocation" values (20,'Pibly');
INSERT INTO "srclocation" values (21,'The Rock');
INSERT INTO "srclocation" values (22,'Arc Theatre');
INSERT INTO "srclocation" values (23,'Lecture Center');
INSERT INTO "srclocation" values (24,'Liebowitz');
INSERT INTO "srclocation" values (25,'White House');
INSERT INTO "srclocation" values (26,'Red Brick House');
INSERT INTO "srclocation" values (27,'Doreen Young Gallery');
INSERT INTO "srclocation" values (0,'~Other');
INSERT INTO "srcweekdaylist" values (0,0);
INSERT INTO "srcweekday" values (0,'Sunday');
INSERT INTO "srcweekday" values (1,'Monday');
INSERT INTO "srcweekday" values (2,'Tuesday');
INSERT INTO "srcweekday" values (3,'Wednesday');
INSERT INTO "srcweekday" values (4,'Thursday');
INSERT INTO "srcweekday" values (5,'Friday');
INSERT INTO "srcweekday" values (6,'Saturday');
CREATE UNIQUE INDEX "srcweekday_pkey" on "srcweekday" using btree ( "day" "int2_ops" );
CREATE UNIQUE INDEX "srccategory_category_id_key" on "srccategory" using btree ( "category_id" "int4_ops" );
CREATE UNIQUE INDEX "srcevent_pkey" on "srcevent" using btree ( "event_id" "int4_ops" );
CREATE UNIQUE INDEX "srcevent_event_id_key" on "srcevent" using btree ( "event_id" "int4_ops" );
CREATE UNIQUE INDEX "srccategorylist_pkey" on "srccategorylist" using btree ( "category_id" "int4_ops", "event_id" "int4_ops" );
CREATE UNIQUE INDEX "srcaudiencelist_pkey" on "srcaudiencelist" using btree ( "audience_id" "int4_ops", "event_id" "int4_ops" );
CREATE UNIQUE INDEX "srcaudience_pkey" on "srcaudience" using btree ( "audience_id" "int4_ops" );
CREATE UNIQUE INDEX "srcweekdaylist_pkey" on "srcweekdaylist" using btree ( "event_id" "int4_ops", "day" "int2_ops" );
CREATE UNIQUE INDEX "srcaudience_audience_id_key" on "srcaudience" using btree ( "audience_id" "int4_ops" );
CREATE UNIQUE INDEX "srccategory_pkey" on "srccategory" using btree ( "category_id" "int4_ops" );
CREATE INDEX "srcindex_pkey" on "srcindex" using btree( "timestamp" "int4_ops" );
